> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run a screening for a client



## OpenAPI

````yaml /openapi/screening.json post /screening/run
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /screening/run:
    post:
      tags:
        - Screening
      summary: Run a screening for a client
      operationId: screening.run
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                clientId:
                  type: string
                  format: uuid
                lists:
                  type: array
                  minItems: 1
                  items:
                    anyOf:
                      - type: string
                        minLength: 1
                      - type: object
                        properties:
                          list:
                            type: string
                            minLength: 1
                          provider:
                            type: string
                            minLength: 1
                        required:
                          - list
                        additionalProperties: false
              required:
                - clientId
                - lists
              additionalProperties: false
              description: Run a screening for one client against the requested lists.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  clientId:
                    type: string
                    format: uuid
                  checkedBy:
                    type: string
                    minLength: 1
                  results:
                    type: object
                    propertyNames:
                      type: string
                      minLength: 1
                    additionalProperties:
                      enum:
                        - pass
                        - flag
                        - inconclusive
                      type: string
                  createdAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - clientId
                  - checkedBy
                  - results
                  - createdAt
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````